/*
 * Author: wangjian
 * 生成ServiceImpl
 */
package com.tofly.xrtymis.custom.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.common.oauth.util.SecurityUtils;
import com.tofly.xrtymis.custom.service.GddataService;
import com.tofly.xrtymis.entity.Gddata;
import org.springframework.stereotype.Service;
import com.tofly.xrtymis.mapper.GddataMapper;

import java.lang.ref.WeakReference;

/**
 * ${comments}
 *
 * @author fu
 * @date Tue Apr 27 00:00:00 CST 2021
 */
@Service("gddataService")
public class GddataServiceImpl extends ServiceImpl<GddataMapper, Gddata> implements GddataService {

    @Override
    public Gddata getByTebaleName() {
        QueryWrapper<Gddata> wrapper = new QueryWrapper<>();
        wrapper.eq("TEBALE_NAME","TF_YWPN_VALVE_W");
        wrapper.eq("CREATE_USER",SecurityUtils.getUserId());
        Gddata gddata = baseMapper.selectOne(wrapper);
        return gddata;
    }
}
